Subject: Re: Lack of Cygwin contributors? Was: How is textmode/binmode determined ...
From: "Kendall Bennett" <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Mon, 1 May 2000 18:59:04 -0800

DJ Delorie <[email-masked]> wrote:

> > In this case what is being paid for here is the development work to get new 
> > stuff implemented in the compiler. Personally I find it a 'bending' of the 
> > rules if proprietry additions are made to GPL'ed compilers and *not* being 
> > made available to the general public (even if the developer who paid for 
> > the modifications does get all the source code).
> 
> The additions are not proprietary.  They are covered by the GPL, just
> like the rest of the compiler.  The GPL says *nothing* about making
> changes available to the general public.

Interesting. That is definately a view of the GPL that I have never 
seen before.

> > Which brings up an interesting question. Are the additions that
> > Cygnus makes for commercial development made readily available to
> > anyone who asks?
> 
> No.  The GPL does not require us to give sources to just anyone.  It
> only requires that we give sources to those who have the binaries, and
> we do.

Hmmm. I need to research this some more.

> > If they aren't, then IMHO that would be a rather large violation of
> > the GPL.
> 
> No, it isn't.  Ask your lawyers to interpret the GPL for you,
> you're doing a rather bad job of it. 

Well of course I am not a lawyer.

Regards,

+---------------------------------------------------------------+
|   SciTech Software - Building Truly Plug'n'Play Software!     |
+---------------------------------------------------------------+
| Kendall Bennett          | Email: [email-masked]    |
| Director of Engineering  | Phone: (530) 894 8400              |
| SciTech Software, Inc.   | Fax  : (530) 894 9069              |
| 505 Wall Street          | ftp  : ftp.scitechsoft.com         |
| Chico, CA 95928, USA     | www  : http://www.scitechsoft.com  |
+---------------------------------------------------------------+

--
Want to unsubscribe from this list?
Send a message to [email-masked]